<?php

$themename = "BandWagon";
$shortname = "bandwagon";

$settings = array(

	# General Settings
	'logo'=>'',
	'logotext'=>'enable',
	'analytics'=>'<!-- Google Analytics code goes here -->',
	'contact_email'=>'wpblissmail@gmail.com',
	
	# Homepage Settings
	'show_featured' => 'enable',
	'featured1' => 'Featured',
	'featured_title' => 'Featured Articles',
	'recent_title' => 'Recent Articles',
	
	# Sidebar Settings
	'show_sidebar'=>'enable',
	'show_search' => 'enable',
	'search_title'=>'Search',
	'show_popular' => 'enable',
	'popular_title'=>'Popular Articles',
	'popular_count' => '7',
	'show_video' => 'enable',
	'video_title'=>'Featured Video',
	'youtube' => 'H5h95s0OuEg',

);

# Settings

function s_lang($text) {
	return $text;
};

$options = array (
	
	array(  "name" => s_lang("General Settings"),
            "type" => "header"),

	array(  "name" => s_lang("Logo Image URL"),
            "id" => $shortname."_logo",
            "std" => $settings['logo'],
            "type" => "text"),
    
    array(  "name" => s_lang("Display Blog Name"),
            "id" => $shortname."_logotext",
            "std" => $settings['logotext'],
            "note" => "Display Blog Name and Description in place of logo",
            "type" => "select",
            "options" => array('enable', 'disable')),
    
     array(  "name" => s_lang("Google Analytics Code"),
            "id" => $shortname."_analytics",
            "std" => $settings['analytics'],
            "type" => "textarea"),
     
     array(  "name" => s_lang("Contact E-mail"),
            "id" => $shortname."_contact_email",
            "std" => $settings['contact_email'],
            "type" => "text"),
     
     array(  "name" => s_lang("Homepage Settings"),
            "type" => "header"),
     
      array(  "name" => s_lang("Display Featured Articles"),
            "id" => $shortname."_show_featured",
            "std" => $settings['show_featured'],
            "type" => "select",
            "options" => array('enable', 'disable')),
     
     array(  "name" => s_lang("Featured Category Name"),
            "id" => $shortname."_featured1",
            "std" => $settings['featured1'],
            "type" => "text"),
     
      array(  "name" => s_lang("Featured Content Display Title"),
            "id" => $shortname."_featured_title",
            "std" => $settings['featured_title'],
            "type" => "text"),
      
       array(  "name" => s_lang("Recent Posts Display Title"),
            "id" => $shortname."_recent_title",
            "std" => $settings['recent_title'],
            "type" => "text"),
     
     array(  "name" => s_lang("Sidebar Settings"),
            "type" => "header"),
     
      array(  "name" => s_lang("Show Sidebar in Single Posts"),
            "id" => $shortname."_show_sidebar",
            "std" => $settings['show_sidebar'],
            "note" => "Disabling this will make the single post page full-width.",
            "type" => "select",
            "options" => array('enable', 'disable')),
     
      array(  "name" => s_lang("Show Search"),
            "id" => $shortname."_show_search",
            "std" => $settings['show_search'],
            "type" => "select",
            "options" => array('enable', 'disable')),
      
       array(  "name" => s_lang("Search Title"),
            "id" => $shortname."_search_title",
            "std" => $settings['search_title'],
            "type" => "text"),
     
     array(  "name" => s_lang("Show Popular Posts"),
            "id" => $shortname."_show_popular",
            "std" => $settings['show_popular'],
            "type" => "select",
            "options" => array('enable', 'disable')),
     
     array(  "name" => s_lang("Popular Posts Title"),
            "id" => $shortname."_popular_title",
            "std" => $settings['popular_title'],
            "type" => "text"),
     
     array(  "name" => s_lang("Number of Popular Posts to Show"),
            "id" => $shortname."_popular_count",
            "std" => $settings['popular_count'],
            "type" => "text"),
     
      array(  "name" => s_lang("Show Featured Video"),
            "id" => $shortname."_show_video",
            "std" => $settings['show_video'],
            "type" => "select",
            "options" => array('enable', 'disable')),
      
      array(  "name" => s_lang("Featured Video Title"),
            "id" => $shortname."_video_title",
            "std" => $settings['video_title'],
            "type" => "text"),
     
     array(  "name" => s_lang("Featured Video (Youtube Video ID)"),
            "id" => $shortname."_youtube",
            "std" => $settings['youtube'],
            "type" => "text"),

);

function mytheme_add_admin() {
    global $themename, $shortname, $options;
    if ( $_GET['page'] == basename(__FILE__) ) {
		if ( 'save' == $_REQUEST['action'] ) {
			foreach ($options as $value) if ($value['type']!='header') update_option( $value['id'], $_REQUEST[ $value['id'] ] );
			foreach ($options as $value) {
			if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }
			header("Location: themes.php?page=settings.php&saved=true");
			die;
		} else if( 'reset' == $_REQUEST['action'] ) {
			foreach ($options as $value) delete_option( $value['id'] );
			header("Location: themes.php?page=settings.php&reset=true");
			die;
		}
    }
	add_theme_page($themename." Settings", "Theme Settings", 'edit_themes', basename(__FILE__), 'mytheme_admin');
}

function mytheme_admin() {

    global $themename, $shortname, $options;

    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
    if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';
    
?>
<style type="text/css">
th {
	text-align: left;
}
td {
	padding: 1px 5px !important;
}
.header td {
	padding: 20px 0 10px !important;
}
.header td p {
	padding: 4px 5px !important;
	font-size: 12px !important;
	font-weight: bold !important;
	background-color: #073447 !important;
	color: #ffffff;
	margin: 0 !important;
}
.submit {
	padding-top: 40px;
}
</style>
<div class="wrap">
<h2><?php echo $themename; ?> Settings</h2>

<form method="post">

<table class="form-table">

<?php foreach ($options as $value) { 
    
if ($value['type'] == "text") { ?>
        
	<tr> 
	<th scope="row" style="width: 30%"><?php echo $value['name']; ?>:</th>
	<td>
	<input style="width: 50%" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
	&nbsp; <?php echo $value['note']; ?>
	</td>
	</tr>

<?php } elseif ($value['type'] == "textarea") { ?>
        
	<tr> 
	<th scope="row" style="width: 30%"><?php echo $value['name']; ?>:</th>
	<td>
	<textarea style="width: 80%; height: 70px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>"><?php if ( get_settings( $value['id'] ) != "") { echo htmlentities(stripslashes(get_settings( $value['id'] ))); } else { echo stripslashes($value['std']); } ?></textarea>
	&nbsp; <?php echo $value['note']; ?>
	</td>
	</tr>

<?php } elseif ($value['type'] == "select") { ?>

    <tr> 
	<th scope="row"><?php echo $value['name']; ?>:</th>
	<td>
	<select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
	<?php foreach ($value['options'] as $option) { ?>
	<option value="<?php echo $option; ?>" <?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
	<?php } ?>
	</select>
	&nbsp; &nbsp; <?php echo $value['note']; ?>
	</td>
    </tr>
    
<?php 
} elseif ($value['type'] == "header") {?>

	<tr class="header"><td colspan="2"><p><?php  echo $value['name'] ?></p></td></tr>
	
<?php 
} 
}
?>

</table>

<p class="submit">
<input name="save" type="submit" value="Save changes" />    
<input type="hidden" name="action" value="save" />
</p>
</form>
<form method="post">
<p class="submit" style="border: 0;">
<!-- <input name="reset" type="submit" value="Reset" /> -->
<input type="hidden" name="action" value="reset" />
</p>
</form>

<?php
}

add_action('admin_menu', 'mytheme_add_admin');

foreach ($options as $value) {
if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_settings( $value['id'] ); } }


# Set Values
foreach ($settings as $k=>$v) {
	$var = $shortname.'_'.$k;
	if (!empty($$var)) $settings[$k] = stripslashes($$var);
}

?>
